package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :工位操作跳过记录表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-12-24
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_WORK_CELL_JUMP_RECORD")
@Api("mes工位操作跳过记录表")
public class MesWorkCellJumpRecord extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1017369816822438021L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "JUMP_TYPE")
    @ApiParam("跳过类型 10=过程条码")
    private Integer jumpType;

    @Column(name = "JUMP_VALUE")
    @ApiParam("跳过值")
    private String jumpValue;

    @Column(name = "JUMP_DESC")
    @ApiParam("跳过描述")
    private String jumpDesc;

}
